## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname  rfc3986_validator
%global slugname rfc3986_validator
%global pkgname  rfc3986-validator
%global forgeurl https://github.com/naimetti/rfc3986-validator

%global common_description %{expand:
A pure python RFC3986 validator.
}

%bcond_without tests

Name:           python-%{pkgname}
Version:        0.1.1
%forgemeta
Release:        %autorelease
Summary:        Pure python RFC3986 validator
License:        MIT
URL:            %{forgeurl}
Source:         %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

#This patch removes the pytest-runner from the setup.py config, because of its
#deprecation upstream (see https://pypi.org/project/pytest-runner/ deprecation notice)
#It also adds some missing test dependecies.
#
#An issue has been submited upstream regarding it
#https://github.com/naimetti/rfc3986-validator/issues/2
Patch0:         0001_removing_pytest_runner_and_adding_test_requirements.patch

%description %{common_description}

%package -n python3-%{pkgname}
Summary: %summary

%description -n python3-%{pkgname} %{common_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{slugname}

%check
%pyproject_check_import
%if %{with tests}
PYTHONWARNINGS=ignore %pytest -vv tests
%endif

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.1-3
- updating the sources

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.1-2
- switching package source to pypi as the forge dont include this version

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.1-1
- update to version 0.1.1

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.0-4
- fixing module config in setup files

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.0-3
- Minor README.md file formating update

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.0-2
- updating the README.md

* Thu Jul 14 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.1.0-1
- initial commit
